import { MASK } from '../config';
import PIN_INPUT_ACTION_TYPES from './actionTypes';

var act = function act(actionType, payload) {
  if (payload === void 0) {
    payload = {};
  }

  return {
    actionType: actionType,
    payload: payload
  };
};

var setKey = function setKey(_ref) {
  var event = _ref.event,
      onChange = _ref.onChange;
  return act(PIN_INPUT_ACTION_TYPES.SET_PIN_INPUT_KEY, {
    event: event,
    onChange: onChange
  });
};

var setValue = function setValue(_ref2) {
  var innerValue = _ref2.innerValue;
  return act(PIN_INPUT_ACTION_TYPES.SET_PIN_INPUT_VALUE, {
    innerValue: innerValue
  });
};

var setFocus = function setFocus(_ref3) {
  var focusPosition = _ref3.focusPosition;
  return act(PIN_INPUT_ACTION_TYPES.SET_PIN_INPUT_FOCUS, {
    focusPosition: focusPosition
  });
};

var setElement = function setElement(_ref4) {
  var node = _ref4.node;
  return act(PIN_INPUT_ACTION_TYPES.SET_PIN_INPUT_ELEMENT, {
    node: node
  });
};

var removeElement = function removeElement(_ref5) {
  var node = _ref5.node;
  return act(PIN_INPUT_ACTION_TYPES.REMOVE_PIN_INPUT_ELEMENT, {
    node: node
  });
};

var setMask = function setMask(_ref6) {
  var _ref6$mask = _ref6.mask,
      mask = _ref6$mask === void 0 ? MASK.NUMBER : _ref6$mask;
  return act(PIN_INPUT_ACTION_TYPES.SET_PIN_INPUT_MASK, {
    mask: mask
  });
};

var setDisabled = function setDisabled(_ref7) {
  var _ref7$disabled = _ref7.disabled,
      disabled = _ref7$disabled === void 0 ? false : _ref7$disabled;
  return act(PIN_INPUT_ACTION_TYPES.SET_PIN_INPUT_DISABLED, {
    disabled: disabled
  });
};

var actions = {
  setKey: setKey,
  setValue: setValue,
  setFocus: setFocus,
  setElement: setElement,
  removeElement: removeElement,
  setMask: setMask,
  setDisabled: setDisabled
};
export default actions;